local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.GoldRacials(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Optimize Gold Making With Racials")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Alliance:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("In Regards we have Alliance base Racials which can be used in gold making. We can use these in order to make gold now and into the future to maximise either time and or efficiency of are overall gold making.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Draenei:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Brought to us in the Burning Crusade expansion Draenei were gifted with the passive ability “Gemcutting” which is ment to prop up the profession Jewelcrafting as this was added also in this expansion. This passive ability gifts the Draenei the ability of have an additional 10 points Jewelcrafting and this is across the board instead of expansion specific. This can be used to learn recipes and faster with the additional points and give any Jewelcrafter the competitive edge when it comes to beginning of expansions in regards to the Jewelcrafting profession.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Gnome:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now as for the Gnomish race they are gifted with something similar to the Draenei which is specifically called “Engineering” which you might of guessed goes very well with the Engineering profession. This racial ability gives the gnome an additional 15 skill point within the Engineering profession as is a prized pick if you are wanting to go down this route for crafting with this profession.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Worgen:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Added in the Cataclysm expansion the Worgen race was give a two special abilities in regards to the Skinning profession. The passive ability was called “Flayer” and such it does what it says on the tin. This give the Worgen an additional 15 skill points, which is handy for levelling up the profession overall, but not only this it also provides the ability of increasing the Skinning speed of the Worgen which means they are a prized pick if you want to save gold with Skinning buffs and Skinning in general. This should be a top pick if you are working towards Skinning as one of your most frequent professions you are going to use.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Lightforged Draenei:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Added in the Battle for Azeroth expansion the Lightforged Draenei is a Allied race which was given a unique ability for the profession of Blacksmithing and Mining. This racial is called “Forge of Light” which upon pressing will produce a forge to use for Smelting which is used in the profession of Mining and is quite handy when out and about. Along side this they also receive a bonus ability of gaining 10 skill point within the Blacksmithing profession, which with both of these professions together add up to a strong combination in order of Sourcing materials to the end products of crafted items with Blacksmithing.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Dark Iron Dwarf:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With Battle for Azeroth a lot of Allied Races came with Racials that are quite powerful in regards to professions and this is best showcased with the Dark Iron Dwarf racial of “Mass Production” in which it give the ability of 5 extra skill points in Blacksmithing and also a Blacksmithing buff which increases the crafting speed of Blacksmithing by 25%. This is best used if you are looking to increase you work load on crafted items as this will also save time if you are producing a lot of items at one given time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Kul Tiran:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With the addition of the Kul Tiran race they were gifted a very handy and special ability which has not been seen. This racial is called “Jack of All Trades”, this provides a plus 5 skill points in any profession and is quite handy if you switch up professions or want to add a competitive edge to a numerous amount of crafters.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mecha Gnome:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now as we move into the Racials of the Mecha Gnomes, this race has three main abilities which have been combined into a very powerful passive for themselves. This is by far one of the most powerful passives for professions in the game thus far and as such it is called “Mastercraft”. This makes a Mecha Gnome to function as an Anvil, Cooking Fire and Forge which is quite powerful for Engineers, Blacksmiths, Chefs and Miners. This powerful racial will help save time going place to place to do there crafts and makes crafting anywhere that much easier as you can craft directly at the mailbox instead of at the trainer which saves to in the crafting process.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Neutral:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Pandaran:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Added within the Mists of Pandaria expansion the Pandaran race was given a special ability for the use of the Secondary profession of Cooking. This is called “Gourmand” and this provides the Pandaran to have a bonus 15 skill points when it comes to the Cooking Profession. This is quite handy in new Expansions to get the edge in production towards raid nights and levelling up there Cooking.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Horde:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Onto the Faction of the Horde, we will see massive leap in the power of gold making and this might actually sway your thoughts on getting the best bang for your buck in regards to gold making as a lot of powerful passive come with this faction.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Blood Elf:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Brought to use in the Burning Crusade expansion, the Blood Elf race with gifted a powerful Passive for the profession of Enchanting. This is thusly called “Arcane Affinity” which allows the Blood Elf to have an Additional 10 skill points within this profession making it one of the best passives even today in regards to getting competitive edges to Enchanting. This is due to Enchanting being one of the most competitive markets in the game and any edge that makes you max out your profession the fastest will pay dividends way into the future, hence why this is such a power racial.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Goblin:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Added into the Cataclysm expansion Goblins were given the most powerful Passive Racials within the game. This is called “Best Deals Anywhere”, this gives the Goblin race the ability to get all price reductions for vendor buys possible regardless of Reputation and Faction locks for other races in the game. For example the Vial of the Sands mount requires Eight Sands of Time and One Pyrium Laced Vial to Craft. For the standard player this would cost around 29,000 gold but this price can be brought down through grinding reputation with the Uldum Accord which takes quite a fair amount of time to bring the price down. As for Goblins they will get a discount on these regardless of there reputation. This brings the price down to 23,200 gold, which is a saving of 5,800 gold. This can be used to make more gold when crafting and in a variety of different applications and by far is one of the best Racials for gold making.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Tauren:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Passive Racial for Tauren is known as “Cultivation”. This ability gives the Tauren player to have an additional 15 skill point within Herbalism and also provides an additional increase to there gathering speed which makes them one of the best races for Herbalism farms due to them also being able to be a Druid which the bonuses for gold making is undebatable one of the best Race to Class combos you can get for gold making.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Nightborne:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for the Nightborne, this race was added into the game in the Battle for Azeroth expansion as an Allied Race. They were given a powerful support passive racial for Inscription called “Ancient History” which gifts the Nightborne player an additional 15 skill points. This means that they have an edge when it comes to Inscription and providing this is a very competitive market, every edge you can get is valuable.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Highmountain Tauren:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Also added in the Battle for Azeroth expansion, the Highmountain Tauren given two Racials which work hand in hand in regards to gold making in the open world. The first is called “Waste Not, Want Not”, this provides the ability of being able to loot additional Meat and Fish either with the Fishing profession and also Meat based farms. The second is “Pride of the Ironhorn” a powerful Mining based passive which grants the Highmountain Tauren 15 skill point in Mining and also an increase in there Mining speed making them one of the best Races for Gold Farming with this profession.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Zandalari:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Ah yes the Zandalari, like most brought in BFA they were brought out as an Allied Race. They were given the Passive ability of when looting, they will receive 2% more gold on a mob then other races in the game. This is a perfect race to do Raw Gold farming and as such any increase to the gold looted even just 2% adds up quite nicely. This ability is named “City of Gold” which is quite fitting for the overall ability.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vulpera:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we have the Vulpera, also added into the Battle for Azeroth expansion as an Allied Race. This race was given a unique ability of “Alpaca Saddlebags” which allows the Vulpera to have an additional 8 slots in there inventory. This is the best passive abilities for Banks characters specifically as they are able to hold more and post more to the auction house reducing runs back to the mailbox. This also pairs well with gold farming as this can also mean you are able to farm for longer before having to empty your inventory of junk items saving you time overall.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
      local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Overall Outlook:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Giving an overview of the Racials we can draw conclusions based on the overall power of each faction in regards to gold making and as such the Alliance have the upper edge when it comes to Crafting in general making them the Prime pick for making gold with Crafting. However, the Horde are overall the Best Faction for Gold Farming and additional bonuses in regards to Gold Making also. To draw a conclusion to this Horde have more of the edge as they gain more in regards to all of the extra abilities with Goblins and Vulpera to say just a few and as such would be an ideal choice for gold making. This is not to say Alliance are bad by any stretch of the imagination but in regards to overall Racial passives they are out performed by the Horde faction.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  




end